Get my user details
GET
/openapi/user/me
const url = 'https://open-api.replyco.com/openapi/user/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/user/me \ --header 'Authorization: Bearer <token>'Returns the profile of the authenticated user (the user the access token represents) — such as id, first/last name, email, phone, company id, and personal preferences.
For security, the refresh token is never included in this response (use the auth token endpoint to obtain tokens).
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Returns the current user.
Media typeapplication/json
object
id
string format: uuid
firstName
string
lastName
string
phone
string
email
string
lastLogin
string format: date-time
registrationToken
string
companyId
string format: uuid
unassignThreadUponResolve
boolean
markAsReadThreadUponResolve
boolean
ticketListPermission
integer format: int32
showUnlabelledTickets
boolean
enableFileConverter
boolean
fullName
string
refreshToken
object
deviceId
string
refreshToken
string
expireDate
string format: date-time
createdDate
string format: date-time
Example
{ "id": "3f1c2a9e-7b4d-4e1a-9c2f-5d8e6a7b9c01", "firstName": "Robin", "lastName": "Integration", "fullName": "Robin Integration", "email": "integration@example.com", "companyId": "8a2d4f6b-1c3e-4a5b-8d7f-9e0a1b2c3d4e"}User is not authenticated or authorized.